### Hierarchy

- PromisedThrow

### Callable

- __call(): PromisedAssertion
- __call(expected: string, message?: undefined | string): PromisedAssertion
- __call(expected: RegExp, message?: undefined | string): PromisedAssertion
- __call(constructor: Error, expected?: undefined | string, message?: undefined | string): PromisedAssertion
- __call(constructor: Error, expected?: RegExp, message?: undefined | string): PromisedAssertion
- __call(constructor: Function, expected?: undefined | string, message?: undefined | string): PromisedAssertion
- __call(constructor: Function, expected?: RegExp, message?: undefined | string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:229

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:230

  #### Parameters

  - ##### expected: string

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:231

  #### Parameters

  - ##### expected: RegExp

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:232

  #### Parameters

  - ##### constructor: Error

  - ##### Optional expected: undefined | string

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:233

  #### Parameters

  - ##### constructor: Error

  - ##### Optional expected: RegExp

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:234

  #### Parameters

  - ##### constructor: Function

  - ##### Optional expected: undefined | string

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:235

  #### Parameters

  - ##### constructor: Function

  - ##### Optional expected: RegExp

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

Generated using TypeDoc